/*
 * @(#)EmailAddressExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.email.*;
import java.io.*;

public class EmailAddressExample {
    
    public void getInfo(String emailAddress) {
        EmailAddress email = new EmailAddress(emailAddress);
        System.out.println("Passed syntax validation: " + email.isValid());
        System.out.println("Email user: " + email.getUser());
        System.out.println("Email domain: " + email.getDomain());
    }
    
    public static void main(String[] args) {
        String emailAddress;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter email address (e.g. user@domain.com): ");
            emailAddress = reader.readLine();
            EmailAddressExample example = new EmailAddressExample();
            example.getInfo(emailAddress);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

