/*
 * @(#)Base64Example.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.util.Base64;
import java.io.*;


public class Base64Example {
    //encode text
    public void encode(String text) {
        Base64 codec = new Base64();
        System.out.println("Before Base64 encoding: " + text);
        System.out.println("After Base64 encoding: " + new String(codec.encode(text.getBytes())));
        
    }
    
    public static void main(String[] args) {
        String text;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter text to encode: ");
            text = reader.readLine();
            Base64Example example = new Base64Example();
            example.encode(text);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

